#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include <QSqlDatabase>
#include <QSqlTableModel>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    void load (QString file_name);
    void put (QString s);
    void scan ();
    void save (QString file_name);

private slots:
    void on_actionRun_triggered();

    void on_actionOpen_triggered();

private:
    Ui::MainWindow *ui;

    QSqlDatabase db;
    QSqlTableModel * model;
    QString table;

    bool silent;
    QString answer;

};

#endif // MAINWINDOW_H
